<?
$m_st = new Model_Statistics();
$escorts_count = $m_st->active_escorts_count();

$navigationParams = array(
    'phone' => $this->s_phone,
    'age_from' => $this->s_age_from,
    'age_to' => $this->s_age_to,
    'orientation' => $this->s_orientation,
    'k' => $this->s_keywords,
    'height_from' => $this->s_height_from,
    'height_to' => $this->s_height_to,
    'weight_from' => $this->s_weight_from,
    'weight_to' => $this->s_weight_to,
    'tatoo' => $this->s_tatoo,
    'piercing' => $this->s_piercing,
    'e' => $this->s_ethnicity,
    'l' => $this->s_language,
    'n' => $this->s_nationality,
    'hc' => $this->s_hair_color,
    'hl' => $this->s_hair_length,
    'cs' => $this->s_cup_size,
    'ec' => $this->s_eye_color,
    'ph' => $this->s_pubic_hair,
    's_currency' => $this->s_currency,
    'price_from' => $this->s_price_from,
    'price_to' => $this->s_price_to,
    'incall_outcall' => $this->s_incall_outcall,
    'sf' => $this->s_sex_availability,
    'se' => $this->s_service,
    'in' => $this->s_incall,
    'ihr' => $this->s_incall_hotel_room,
    'out' => $this->s_outcall,
    'tp' => $this->s_travel_place,
    's_real_pics' => $this->s_real_pics,
    's_verified_contact' => $this->s_verified_contact,
    's_with_video' => $this->s_with_video,
    's_pornstar' => $this->s_pornstar,
    's_available_for_travel' => $this->s_available_for_travel,
    's_is_online_now' => $this->s_is_online_now,
    's_natural_photo' => $this->s_natural_photo,
);

if ( isset($this->escortsAround) && count($this->escortsAround) )
{
    $hasAroundEscorts = true;
}

?>




<div id="pjax-container">
<? $labelsSet = []; ?>
<div class="escorts <?= $this->p_top_category ?>">
    <div class="escorts-container inner-section no-padding-mobile">
        <div class="escorts-list flex-row flex-fill flex-wrap justify-content-between justify-content-md-around justify-content-lg-start
            <?=  (!Zend_Registry::get('isMobile') && $this->render_list_type == 'list')  ? ' view-list' : ' d-flex view-squares' ?> ">
            <? $index = 0; ?>
            <? if ( count($this->escorts) > 0 ): ?>
                <? if ( isset($this->escorts['gotd']) && count($this->escorts['gotd']) ): ?>

                    <?
                    $country_id = Model_Countries::getByIso($this->geo_data['country_iso']);

                    $category_separator_index = 1;
                    foreach ($this->escorts['gotd'] as $v => $gotd_escort): ?>
                        <?if ( $gotd_escort->country_id == $country_id || $this->country == $gotd_escort->country_id ):?>
                        <?
                        if(in_array($this->p_top_category, ['newest', 'newest-independent', 'newest-agency-escorts'])) {
                            $tmpLbl = setupNewestCategorySeparator($gotd_escort);
                            if (!in_array($tmpLbl, $labelsSet)) {
                                echo $tmpLbl;
                                $labelsSet[] = $tmpLbl;
                            }
                        }
                        ?>
                        <? $index++; ?>
                        <? if ( ! $gotd_escort instanceof Model_EscortV2Item ): ?>
                            <?
                            if(is_string($gotd_escort) && $gotd_escort == 'vip-banner' ){
                                echo $this->render('escorts/list-fill-vip-premium.phtml');
                                continue;
                            }
                            $this->escort = new Model_EscortV2Item($gotd_escort);
                            $this->filtered_phone = ( $this->escort->phone_country_id && ! $this->escort->disable_phone_prefix ) ? '+' . Model_Countries::getPhonePrefixById($this->escort->phone_country_id) . $this->escort->phone_number : $this->escort->phone_number;
                            ?>
                        <? endif; ?>

                        <?= $this->render('escorts/list-sedcard.phtml') ?>

                        <?
                        // Sett up IXS BANNERS
                        // For Desktop
                        // ----------------------------------------


                        if(!Zend_Registry::get('isMobile') && $index%9 == 0) {
                            echo '<section class="category-separator-block category-separator-block-'.$category_separator_index.' d-flex">';
                            for($i = 0; $i < 3; $i++)
                                echo $this->partial('escorts/list-ixs-banner.phtml', ['screen' => 'desktop_ipad']) ;
                            echo '</section>';
                            $category_separator_index++;
                        }
                        // For Mobile
                        // ----------------------------------------
                        if(Zend_Registry::get('isMobile') && $index%6 == 0) {
                            echo $this->partial('escorts/list-ixs-banner.phtml', ['screen' => 'mobile']);
                        }
                        // ----------------------------------------
                        ?>
                    <?endif;?>
                    <? endforeach; ?>

                <? endif; ?>
                <? unset($this->escorts['gotd']); ?>

                <? if ( isset($this->escorts['vips']) && count($this->escorts['vips']) ): ?>

                    <?
                    $category_separator_index = 1;
                    foreach ($this->escorts['vips'] as $v => $vip_escort): ?>
                        <?
                            if(in_array($this->p_top_category, ['newest', 'newest-independent', 'newest-agency-escorts'])) {
                                $tmpLbl = setupNewestCategorySeparator($vip_escort);
                                if (!in_array($tmpLbl, $labelsSet)) {
                                    echo $tmpLbl;
                                    $labelsSet[] = $tmpLbl;
                                }
                            }
                        ?>
                        <? $index++; ?>
                        <? if ( ! $vip_escort instanceof Model_EscortV2Item ): ?>
                            <?
                            if(is_string($vip_escort) && $vip_escort == 'vip-banner' ){
                                echo $this->render('escorts/list-fill-vip-premium.phtml');
                                continue;
                            }

                            $this->escort = new Model_EscortV2Item($vip_escort);
                            $this->filtered_phone = ( $this->escort->phone_country_id && ! $this->escort->disable_phone_prefix ) ? '+' . Model_Countries::getPhonePrefixById($this->escort->phone_country_id) . $this->escort->phone_number : $this->escort->phone_number;
                            ?>
                        <? endif; ?>

                        <?= $this->render('escorts/list-sedcard.phtml') ?>

                        <?
                        // Sett up IXS BANNERS
                        // For Desktop
                        // ----------------------------------------


                        if(!Zend_Registry::get('isMobile') && $index%9 == 0) {
                            echo '<section class="category-separator-block category-separator-block-'.$category_separator_index.' d-flex">';
                            for($i = 0; $i < 3; $i++)
                                echo $this->partial('escorts/list-ixs-banner.phtml', ['screen' => 'desktop_ipad']) ;
                            echo '</section>';
                            $category_separator_index++;
                        }
                        // For Mobile
                        // ----------------------------------------
                        if(Zend_Registry::get('isMobile') && $index%6 == 0) {
                            echo $this->partial('escorts/list-ixs-banner.phtml', ['screen' => 'mobile']);
                        }
                        // ----------------------------------------
                        ?>

                    <? endforeach; ?>

                <? endif; ?>
                <? unset($this->escorts['vips']); ?>

                <? if ( $this->escorts['premiums'] ): ?>
                    <?
                    $per_row = 4;
                    $rows = ceil(count($this->escorts['premiums']) / $per_row);
                    $fill_thumbs = $rows * $per_row;
                    $fill_thumbs = $fill_thumbs - count($this->escorts['premiums']);
                    ?>

                    <? $category_separator_index = 1;
                    foreach($this->escorts['premiums'] as $k => $premium_escort): ?>
                        <?
                            if(in_array($this->p_top_category, ['newest', 'newest-independent', 'newest-agency-escorts'])) {
                                $tmpLbl = setupNewestCategorySeparator($premium_escort);
                                if (!in_array($tmpLbl, $labelsSet)) {
                                    echo $tmpLbl;
                                    $labelsSet[] = $tmpLbl;
                                }
                            }
                        ?>
                        <? $index++; ?>
                        <? if ( ! $premium_escort instanceof Model_EscortV2Item ): ?>
                            <?
                            if(is_string($premium_escort) && $premium_escort == 'vip-banner' ){
                                echo $this->render('escorts/list-fill-vip-premium.phtml');
                                continue;
                            }
                            $this->escort = new Model_EscortV2Item($premium_escort);

                            $this->filtered_phone = ( $this->escort->phone_country_id && ! $this->escort->disable_phone_prefix ) ? '+' . Model_Countries::getPhonePrefixById($this->escort->phone_country_id) . $this->escort->phone_number : $this->escort->phone_number;
                            ?>
                        <? endif; ?>

                        <?= $this->render('escorts/list-sedcard.phtml') ?>

                        <?
                        // Sett up IXS BANNERS
                        // For Desktop
                        // ----------------------------------------

                        if(!Zend_Registry::get('isMobile') && $index%9 == 0) {
                            echo '<section class="category-separator-block category-separator-block-'.$category_separator_index.' d-flex">';
                            for($i = 0; $i < 3; $i++)
                                echo $this->partial('escorts/list-ixs-banner.phtml', ['screen' => 'desktop_ipad']) ;
                            echo '</section>';
                            $category_separator_index++;
                        }
                        // For Mobile
                        // ----------------------------------------
                        if(Zend_Registry::get('isMobile') && $index%6 == 0) {
                            echo $this->partial('escorts/list-ixs-banner.phtml', ['screen' => 'mobile']);
                        }
                        // ----------------------------------------

                        ?>

                    <? endforeach; ?>
                <? endif; ?>
                <? unset($this->escorts['premiums']); ?>

                <?
                $h = 1;
                $l = 16;
                ?>

                <?
                $category_separator_index = 1;
                foreach ( $this->escorts as $esc_k => $escort ): ?>
                    <?
                    if(in_array($this->p_top_category, ['newest', 'newest-independent', 'newest-agency-escorts'])) {
                        $tmpLbl = setupNewestCategorySeparator($escort);
                        if (!in_array($tmpLbl, $labelsSet)) {
                            echo $tmpLbl;
                            $labelsSet[] = $tmpLbl;
                        }
                    }
                    ?>

                    <? $index++; ?>
                    <?
                    if ($h == 1) $r = rand(1, 4);

                    if(is_string($escort) && $escort == 'vip-banner' ){
                        echo $this->render('escorts/list-fill-vip-premium.phtml');
                        continue;
                    }

                    ?>

                    <? if ( ! $escort instanceof Model_EscortV2Item ): ?>
                        <?
                        $this->escort = new Model_EscortV2Item($escort);
                        $this->filtered_phone = ( $this->escort->phone_country_id && ! $this->escort->disable_phone_prefix ) ? '+' . Model_Countries::getPhonePrefixById($this->escort->phone_country_id) . $this->escort->phone_number : $this->escort->phone_number;
                        ?>
                    <? endif; ?>

                    <? if ($h == $r): ?>
                        <?= $this->render('escorts/list-adv.phtml') ?>
                        <? $h++;?>
                    <? endif; ?>
                    <?
                        if ( $escort->is_inactive === 1 && $hasAroundEscorts )
                        {
                            $this->escortsAround[] = $escort;
                            unset($this->escorts[$esc_k]);
                        }else{
                            echo $this->render('escorts/list-sedcard.phtml');
                        }
                    ?>

                    <?
                    // Sett up IXS BANNERS
                    // For Desktop
                    // ----------------------------------------

                    if(!Zend_Registry::get('isMobile') && $index%9 == 0) {
                        if (count($this->escorts) <= 5){
                            echo '<a class="escort-item dummmy"></a>';
                        }
                        echo '<section class="category-separator-block category-separator-block-'. $category_separator_index.' d-flex">';
                        for($i = 0; $i < 3; $i++)
                            echo $this->partial('escorts/list-ixs-banner.phtml', ['screen' => 'desktop_ipad']) ;
                        echo '</section>';
                        $category_separator_index++;
                    }
                    // For Mobile
                    // ----------------------------------------
                    if(Zend_Registry::get('isMobile') && $index%6 == 0) {
                        $k = $index / 6;
                            echo $this->partial('escorts/list-ixs-banner.phtml', ['screen' => 'mobile']);
                    }
                    // ----------------------------------------
                    ?>

                    <?
                    $h++;
                    if ($h > $l) $h = 1;
                    ?>
                <? endforeach ?>
                <?
                // At the end, maybe there was less than 6 (for mobile) or 8 (for desktop) escorts
                // in this case we just need to set all banners, one after the other
                // IMPORTANT: There must be at least one escort to do this !!!
                // For Desktop
                // ---------------------------------------

                if(!Zend_Registry::get('isMobile')) {
                    if($index < 9) {
                        echo '<section class="category-separator-block category-separator-block-'.$category_separator_index.' d-flex">';
                        for ($i = 0; $i < ceil( 3 - $index / 9 ); $i++) {
                            echo $this->partial('escorts/list-ixs-banner.phtml', ['screen' => 'desktop_ipad']) ;
                        }
                        echo '</section>';
                        $category_separator_index++;
                    }
                }
                // For Mobile
                // ----------------------------------------
                if(Zend_Registry::get('isMobile')) {
                    if($index < 18) {
                        for ($i = 0; $i < ceil( 3 - $index / 6 ); $i++)
                            echo $this->partial('escorts/list-ixs-banner.phtml', ['screen' => 'mobile']);
                    }
                }
                // ----------------------------------------
                ?>

            <? else: ?>
                <div class="no-results">
                    <? $search_location = implode(", " , $l) ?>
                    <?= __('no_results_found_search' ) ,  $search_location . '.'?>
                    <br>
                    <?= __('no_results_found_hint' ) ?>
                </div>
            <div class="clear mb-4"></div>
            <? endif; ?>

            <? if ($hasAroundEscorts): ?>
                <!-- Removed for task https://sceonteam.atlassian.net/browse/EDIR-442-->
                <!-- <section class="category-separator-block">-->
                <!-- <p>--><?//= __('escorts_around_location', ['location' => $this->aroundLocationTitle]) ?><!--</p>-->
                <!-- </section>-->

<!--                <div class="d-flex flex-row flex-fill flex-wrap justify-content-between justify-content-md-around justify-content-lg-start">-->
                    <? foreach ($this->escortsAround as $escort): ?>
                        <? if (!$escort instanceof Model_EscortV2Item): ?>
                            <?
                            $this->escort = new Model_EscortV2Item($escort);
                            $this->filtered_phone = ($this->escort->phone_country_id && !$this->escort->disable_phone_prefix) ? '+' . Model_Countries::getPhonePrefixById($this->escort->phone_country_id) . $this->escort->phone_number : $this->escort->phone_number;
                            ?>
                        <? endif; ?>

                        <?= $this->render('escorts/list-sedcard.phtml') ?>
                    <? endforeach; ?>
<!--                </div>-->
            <? endif; ?>
        </div>
    </div>
</div>


<div class="inner-section">
    <div class="clear"></div>
    <?if( isset($this->available_tags) && count($this->available_tags) ):?>
        <div id="tags-list">
            <? foreach ($this->available_tags as $tag): ?>
                <a class="tag-item tag-count <?= ( isset($this->current_tag) && $this->current_tag == $tag['id'] )? 'd-none' : ''; ?>" data-tag="<?=$tag['id']?>" href="/escorts-<?=$this->p_city_slug.'-'.$this->p_city_id?>?tag=<?=$tag['id']?>" target="_blank"><span class="tag-text"><?= ucfirst($tag['title']) .' '.ucfirst($this->p_city_slug)?></span></a>
            <? endforeach; ?>
        </div>
    <?endif;?>
</div>
<div class="inner-section">
    <div class="clear mb-20"></div>
    <div class="pagination-container escort-list-pagination d-flex justify-content-sm-center justify-content-md-between align-items-center">
        <? $pages_count = ceil($this->pagination_count / $this->per_page); ?>
        <?
        $paginationParams = array('top_category' => $this->p_top_category, 'city_slug' => $this->p_city_slug, 'city_id' => $this->p_city_id, 'country_slug' => $this->p_country_slug, 'country_id' => $this->p_country_id, 'show_escorts' => true,);
        $paginationParams = array_merge($paginationParams, $navigationParams);
        ?>
        <? if ($pages_count > 1): ?>
            <div class="pagination d-flex align-items-center">
                <? $pages = $this->paging($this->pagination_count, $this->page, $this->per_page, 6, 2); ?>
                <? if (3 < $this->page): ?>
                    <a href="<?= $this->getLink('navigation-link', array_merge($paginationParams, array( 'page' => 1))) ?>" title="<?= __('first_page')?>"
                       class="last page-number grey first" data-page="1" data-pjax="1"> <i class="fas fa-angle-double-left"></i> </a>
                    <a href="<?= $this->getLink('navigation-link', array_merge($paginationParams, array( 'page' => $this->page - 1))) ?>"
                       class="last page-number grey" data-page="<?= $this->page - 1 ?>" data-pjax="1"> <i class="fas fa-angle-left"></i> </a>
                <? endif; ?>

                <? foreach ($pages as $page): ?>
                    <? if ($this->page == $page): ?>
                        <a href="#" class="page-number grey active"><?= $page ?></a>
                    <? else: ?>
                        <a href="<?= $this->getLink('navigation-link',array_merge($paginationParams, array( 'page' => $page))) ?>"
                           class="page-number grey" data-page="<?= $page ?>" data-pjax="1"><?= $page ?></a>
                    <? endif; ?>
                <? endforeach; ?>
                <? if ($pages_count > $this->page): ?>
                    <a href="<?= $this->getLink('navigation-link', array_merge($paginationParams, array( 'page' => $this->page - 1))) ?>"
                       class="last page-number grey" data-page="<?= $this->page + 1 ?>" data-pjax="1"> <i class="fas fa-angle-right"></i> </a>
                <a href="<?= $this->getLink('navigation-link',array_merge($paginationParams, array( 'page' => $pages_count))) ?>" title="<?= __('last_page')?>"
                   class="page-number grey last" data-page="<?= $pages_count ?>" data-pjax="1"><i class="fas fa-angle-double-right"></i></a>
                <?php endif; ?>
            </div>

        <? else: ?>
            <div class="no-paging"></div>
        <? endif; ?>

        <div class="total-profiles uppercase">
            <?= __('escorts_worldwide', ['count' => $escorts_count]) ?>
        </div>
    </div>
</div>

<!--Seo Text-->
    <? if ( in_array($this->p_top_category, $new_escorts_array) ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_type_new').' </h1>' ?>
    <? elseif ( $this->p_top_category == 'bdsm' ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_type_bdsm') .'</h1>'?>
    <? elseif ( in_array($this->p_top_category, $boys_escorts_array) ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_type_male') .'</h1>' ?>
    <? elseif ( $this->p_top_category == 'trans' || $this->p_top_category == 'bdsm-trans' || $this->p_top_category == 'massage-trans' ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_type_trans') .'</h1>' ?>
    <? elseif ( $this->p_top_category == 'citytours' ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_escorts_on_tour') . '</h1>' ?>
    <? elseif ( $this->p_top_category == 'upcomingtours' ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between">'. __('top_title_type_upcomingtours') .'</h1>'?>
    <? elseif ( in_array($this->p_top_category, $all_escorts_array) ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_type_female') .'</h1>'?>
    <? elseif ( in_array($this->p_top_category, $all_agencies_array) ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('agency') .'</h1>' ?>
    <? elseif ( $this->p_top_category == 'massage' ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_massage') .'</h1>' ?>
    <? elseif ( $this->p_top_category == 'beauty-10' ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_beauty') .'</h1>' ?>
    <? elseif ( $this->p_top_category == 'luxury-goods-9' ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_luxury_goods') .'</h1>' ?>
    <? elseif ( $this->p_top_category == 'events-8' ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_events') .'</h1>' ?>
    <? elseif ( $this->p_top_category == 'man-stuff-7' ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_man_stuff') .'</h1>' ?>
    <? elseif ( $this->p_top_category == 'about-escorting-6' ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_about_escorting') .'</h1>' ?>
    <? elseif ( $this->p_top_category == 'health-5' ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_health') .'</h1>' ?>
    <? elseif ( $this->p_top_category == 'sex-4' ): ?>
        <? $html  =  '<h1 class="page-title d-flex flex-row justify-content-between mb-10">'. __('top_title_sex') .'</h1>' ?>
    <? endif; ?>
    <? if($html): ?>
        <div class="inner-section  stucture-bar justify-content-between align-items-center listing-category-description">
            <?= $html ?>
        </div>
    <? endif; ?>
<!--/-->

    <div id="<?= empty($this->page) ? 2 : ($this->page + 1) ?>" data-appear-top-offset="600" class="scroll-page mobile" style="height: 40px"></div>

    <?= $this->render('escorts/city-descriptions.phtml') ?>

</div>